
TYPO3.Fluid - Feature # 25490

Status: Resolved Priority: Should have
Author: Georg Ringer Category: Widgets
Created: 2011-03-31 Assigned To: Bastian Waidelich
Updated: 2011-04-02 Due date:
Has patch:
Subject: pagination is fairly simple and not usable in bigger projects
Description

The pagination widget is fairly simple and not usable in bigger projects with more than 50 records. The reason is that it just renders all
links which are needed. So if there are 1000 records and 10 per page, this results in 100 links on the page.

Therefore it is needed to be able to skip the rendering of links at some point and implement something like:

Additionally the pagination uses some hardcoded labels which could be fixed with the same patch.

Associated revisions
Revision e77ec815 - 2011-04-01 23:39 - Tobias Liebig

[FEATURE] improve fluid paginate widget

    -  forward port changes from extbase
    -  add configuration for maximum number of pages to display

Thanks to Georg Ringer for the initial patch.
Thanks to HDNET GmbH for sponsoring 120 beers
during the bug auction.

Change-Id: Ic74cdda291b987761c9715b5685d1b32b7e8f063
Resolves: #25490

History
#1 - 2011-03-31 22:39 - Georg Ringer
- File fluid_pagination.patch added
- % Done changed from 0 to 50

can someone do the git stuff, don't have the proper tools here at t3board, sry guys

#2 - 2011-04-01 02:02 - Mr. Hudson

Patch set 1 of change Ic74cdda291b987761c9715b5685d1b32b7e8f063 has been pushed to the review server.
It is available at http://review.typo3.org/1388

#3 - 2011-04-01 02:04 - Mr. Hudson

2015-08-03 1/2

http://review.typo3.org/1388


Patch set 2 of change Ic74cdda291b987761c9715b5685d1b32b7e8f063 has been pushed to the review server.
It is available at http://review.typo3.org/1388

#4 - 2011-04-01 02:04 - Mr. Hudson

Patch set 3 of change Ic74cdda291b987761c9715b5685d1b32b7e8f063 has been pushed to the review server.
It is available at http://review.typo3.org/1388

#5 - 2011-04-01 02:12 - Tobias Liebig
- Assigned To set to Bastian Waidelich
- % Done changed from 50 to 80

thanks for your initial patch.

First I did some forward porting of the paginate widget from extbase/fluid to FLOW3/Fluid to make your patch apply in Fluid(v5). Then i did some
renaming and minor refactoring.

The original code is from EXT:pagebrowse by Dmitry, right? We should mention that somewhere.

Once the patch is merged, it should be backported/synced to extbase/fluid, too.

Assigned to Bastian for review.

#6 - 2011-04-01 09:15 - Georg Ringer

yes original code is from pagebrowse. thanks for your work!

#7 - 2011-04-01 23:39 - Mr. Hudson

Patch set 4 of change Ic74cdda291b987761c9715b5685d1b32b7e8f063 has been pushed to the review server.
It is available at http://review.typo3.org/1388

#8 - 2011-04-02 11:00 - Tobias Liebig
- Status changed from New to Resolved
- % Done changed from 80 to 100

Applied in changeset commit:e77ec815a96f3214dab8b19da252070b844d9d88.

Files
fluid_pagination.patch 8.3 kB 2011-03-31 Georg Ringer
